Summary:          Filesystem in Userspace (FUSE)
Name:             fuse
Version:          2.7.3
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            Applications/System
Source0:          http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Patch0:           %{name}-2.7.2-install.patch
URL:              http://%{name}.sourceforge.net/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Miklos Szeredi <miklos@szeredi.hu>
Provides:         %{name}-kmod-common = %{version}
Requires:         %{name}-kmod >= %{version} udev
Requires(pre):    /usr/sbin/groupadd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel. FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.


%package       -n lib%{name}
Summary:          The FUSE core libraries
Group:            System Environment/Libraries

%description   -n lib%{name}
The lib%{name} package contains the FUSE core libraries.


%package       -n lib%{name}-devel
Summary:          Development tools for FUSE
Group:            Development/Libraries
Requires:         lib%{name} = %{version}-%{release}

%description   -n lib%{name}-devel
The lib%{name}-devel package contains the static libraries and header
files for developing software using FUSE.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	CFLAGS="${CFLAGS} -fno-strict-aliasing" \
	--enable-shared                         \
	--enable-static                         \
	--enable-lib                            \
	--enable-util                           \
	--disable-example                       \
	--disable-kernel-module

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d
%{__mkdir_p} ${RPM_BUILD_ROOT}/sbin
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}

echo -e "# FUSE\nKERNEL==\"%{name}\", GROUP=\"%{name}\", MODE=\"0660\"" \
	>${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d/99-%{name}.rules

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%pre
if ! getent group %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{name}

%post -n lib%{name} -p /sbin/ldconfig


%preun
if [ $1 = 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%postun -n lib%{name} -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ Filesystems INSTALL
%doc NEWS README* doc/how-fuse-works doc/kernel.txt
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-%{name}.rules
/sbin/mount.%{name}
%attr(4750,root,%{name}) %{_bindir}/fusermount
%{_bindir}/ulockmgr_server

%files -n lib%{name}
%defattr(-,root,root)
%doc COPYING.LIB
%{_libdir}/lib%{name}.so.*
%{_libdir}/libulockmgr.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/%{name}.h
%{_includedir}/ulockmgr.h
%{_libdir}/lib%{name}.*a
%{_libdir}/libulockmgr.*a
%{_libdir}/lib%{name}.so
%{_libdir}/libulockmgr.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.7.3-1
- Initial build
